org.firebirdsql.util

## Class IOUtils

- java.lang.Object
- - org.firebirdsql.util.IOUtils

    public final class IOUtils
    extends java.lang.Object

Utility methods for stream and byte array conversions.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `toBytes(java.io.InputStream in)`
`static byte[]` `toBytes(java.io.InputStream in, int length)`
`static java.lang.String` `toString(java.io.Reader in)`
`static java.lang.String` `toString(java.io.Reader in, int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toBytes

    public static byte[] toBytes(java.io.InputStream in,
                                 int length)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### toBytes

    public static byte[] toBytes(java.io.InputStream in)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### toString

    public static java.lang.String toString(java.io.Reader in,
                                            int length)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### toString

    public static java.lang.String toString(java.io.Reader in)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`